--COMMUNICATIONS

local IMItemsNet_LastMsg = "";
local IMItemsNet_LastProcessedMsg = "";
local ItemsNet_ArrivedItems = { };


---------------------------------------------------
-- ItemsNet_JoinChannel
---------------------------------------------------
function ItemsNet_JoinChannel(sName)

	if ( sName and GetChannelName(sName) == 0 ) then
	
		local name = sName;
		local getZone, getName = JoinChannelByName(name, nil, DEFAULT_CHAT_FRAME:GetID());
		
		if ( getName ) then
			name = getName;
		end
		if ( not getZone ) then
			return;
		end
		
		local i = 1;

		while ( DEFAULT_CHAT_FRAME.channelList[i] ) do
			i = i + 1;
		end
		DEFAULT_CHAT_FRAME.channelList[i] = name;
		DEFAULT_CHAT_FRAME.zoneChannelList[i] = getZone;
	end
	
end
	
	
	
	
---------------------------------------------------
-- ItemsNet_GetChannelNumber
---------------------------------------------------

function ItemsNet_GetChannelNumber(channel)
	local num = 0;
	
	
	--return if number isn't zero
	if(IMItemsNet_ChannelNumber ~= 0) then
		return IMItemsNet_ChannelNumber;
	end
	

	--only grab the list if general is already on there

	for i = 1, 20, 1 do
		local channelNum, channelName = GetChannelName(i);
	
		if ((channelNum > 0) and channelName and (string.lower(channelName) == string.lower(channel)) and channelName ~= nil) then
			num = channelNum;
			IMItemsNet_ChannelNumber = num;
			break;
		end

	end

	return num;
end


