--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------

---------------------------------------------------
-- IM_OptionsOnShow
---------------------------------------------------
function IM_OptionsOnShow()

	--if no user then send error
	if(ItemsMatrix_User == nil) then
		message("ItemsMatrix cannot determine your player name! Settings not saved!");
		HideUIPanel(ItemsMatrix_OptionsFrame);
		return nil;
	end
	
	
	--check for options if it doesn't exist then send error
	if(IM_Options == nil) then
		message("ItemsMatrix cannot find your saved options!");
		HideUIPanel(ItemsMatrix_OptionsFrame);
		return nil;
	end
	
	--check for options if it doesn't exist then send error
	if(IM_Options[ItemsMatrix_User] == nil) then
		message("ItemsMatrix cannot find your saved options!");
		HideUIPanel(ItemsMatrix_OptionsFrame);
		return nil;
	end
	
	HideUIPanel(IM_MoneyOptFrame);
	HideUIPanel(ItemsMatrixSearchFrame);
	HideUIPanel(IM_FilterFrame);
						
	
	------------------------------
	--ReagentInfo
	--option 1
	
	--first check to see if ReagentData is installed
	if(ReagentData) then
	
		if(IM_Options[ItemsMatrix_User].RI1 == nil) then
			getglobal("IM_Options_RegeantInfoCheckButton1"):SetChecked(0);
		else

			if(IM_Options[ItemsMatrix_User].RI1 == 1) then
				getglobal("IM_Options_RegeantInfoCheckButton1"):SetChecked(1);
			else
				getglobal("IM_Options_RegeantInfoCheckButton1"):SetChecked(0);
			end

		end
	
	else
		--set to disabled

		IM_Options[ItemsMatrix_User].RI1 = 0;
		getglobal("IMOptions_RI_RABuiltIn"):SetText(IM_OPTIONSMENU_HEADER1_SUB1.." "..IM_OPTIONSMENU_DISABLED); --change text
		getglobal("IM_Options_RegeantInfoCheckButton1"):SetChecked(0);
		getglobal("IM_Options_RegeantInfoCheckButton1"):Hide(); --hide the option
	end
	
	
	--option 2
	if(IM_Options[ItemsMatrix_User].RI2 == nil) then
		getglobal("IM_Options_RegeantInfoCheckButton2"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].RI2 == 1) then
			getglobal("IM_Options_RegeantInfoCheckButton2"):SetChecked(1);
		else
			getglobal("IM_Options_RegeantInfoCheckButton2"):SetChecked(0);
		end
	
	end
	------------------------------


	------------------------------
	--Auctioneer
	--option 1
	if(IM_Options[ItemsMatrix_User].AUC1 == nil) then
		getglobal("IM_Options_AuctioneerCheckButton1"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].AUC1 == 1) then
			getglobal("IM_Options_AuctioneerCheckButton1"):SetChecked(1);
		else
			getglobal("IM_Options_AuctioneerCheckButton1"):SetChecked(0);
		end
	
	end
	------------------------------	


	------------------------------
	--Enchantrix
	--option 1
	if(IM_Options[ItemsMatrix_User].ENX1 == nil) then
		getglobal("IM_Options_EnchantrixCheckButton1"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].ENX1 == 1) then
			getglobal("IM_Options_EnchantrixCheckButton1"):SetChecked(1);
		else
			getglobal("IM_Options_EnchantrixCheckButton1"):SetChecked(0);
		end
	
	end
	------------------------------		
	
	
	------------------------------
	--ItemsNet
	--option 1
	if(IM_Options[ItemsMatrix_User].ITEMSNET == nil) then
		getglobal("IM_Options_ItemsNet_CheckButton1"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].ITEMSNET == 1) then
			getglobal("IM_Options_ItemsNet_CheckButton1"):SetChecked(1);
		else
			getglobal("IM_Options_ItemsNet_CheckButton1"):SetChecked(0);
		end
	
	end
	------------------------------
	
	
	
	------------------------------
	--ItemsMatrix Show Sell
	--option 1
	if(IM_Options[ItemsMatrix_User].IMP == nil) then
		getglobal("IM_Options_IMPrice_CheckButton1"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].IMP == 1) then
			getglobal("IM_Options_IMPrice_CheckButton1"):SetChecked(1);
		else
			getglobal("IM_Options_IMPrice_CheckButton1"):SetChecked(0);
		end
	
	end
	------------------------------
	
	

	------------------------------
	--ItemsMatrix Show Vendor
	--option 1
	if(IM_Options[ItemsMatrix_User].VENDOR == nil) then
		getglobal("IM_Options_IMVendor_CheckButton1"):SetChecked(0);
	else
	
		if(IM_Options[ItemsMatrix_User].VENDOR == 1) then
			getglobal("IM_Options_IMVendor_CheckButton1"):SetChecked(1);
		else
			getglobal("IM_Options_IMVendor_CheckButton1"):SetChecked(0);
		end
	
	end
	------------------------------
	
	
end


---------------------------------------------------
-- IM_OptionsPanelOkay_Click
---------------------------------------------------
function IM_OptionsPanelOkay_Click()

	--get the name if it's nil
	if(ItemsMatrix_User == nil) then
	
   		if(UnitName("player") ~= "Unknown Entity" and UnitName("player") ~= "" and UnitName("player") ~= nil) then
   				
  			ItemsMatrix_User = UnitName("player");
  				
  		end
  		
	end
	
	--if after that it's still nill then send error
	if(ItemsMatrix_User == nil) then
		message("ItemsMatrix cannot determine your player name! Settings not saved!");
		return nil;
	end
	
	
	--create if it doesn't exist
	if(IM_Options == nil) then
		IM_Options = { };
	end
	
	
	if(IM_Options[ItemsMatrix_User] == nil) then
		IM_Options[ItemsMatrix_User] = { };
	end

	------------------------------
	--ReagentInfo
		--option 1
		if(getglobal("IM_Options_RegeantInfoCheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].RI1 = 1;
		else
			IM_Options[ItemsMatrix_User].RI1 = 0;
		end
		--option 2
		if(getglobal("IM_Options_RegeantInfoCheckButton2"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].RI2 = 1;
		else
			IM_Options[ItemsMatrix_User].RI2 = 0;
		end
	------------------------------


	------------------------------
	--Auctioneer
		--option 1
		if(getglobal("IM_Options_AuctioneerCheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].AUC1 = 1;
		else
			IM_Options[ItemsMatrix_User].AUC1 = 0;
		end
	------------------------------
	
	
	------------------------------
	--Enchantrix
		--option 1
		if(getglobal("IM_Options_EnchantrixCheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].ENX1 = 1;
		else
			IM_Options[ItemsMatrix_User].ENX1 = 0;
		end
	------------------------------
	
	
	------------------------------
	--ItemsNet
		--option 1
		if(getglobal("IM_Options_ItemsNet_CheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].ITEMSNET = 1;
		else
			IM_Options[ItemsMatrix_User].ITEMSNET = 0;
		end
	------------------------------
	
	
	------------------------------
	--ItemsMatrix Sell Show
		--option 1
		if(getglobal("IM_Options_IMPrice_CheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].IMP = 1;
		else
			IM_Options[ItemsMatrix_User].IMP = 0;
		end
	------------------------------
	

	------------------------------
	--ItemsMatrix Sell Vendor
		--option 1
		if(getglobal("IM_Options_IMVendor_CheckButton1"):GetChecked() ~= nil) then
			IM_Options[ItemsMatrix_User].VENDOR = 1;
		else
			IM_Options[ItemsMatrix_User].VENDOR = 0;
		end
	------------------------------
	
	

	DEFAULT_CHAT_FRAME:AddMessage("|c00FF0000ItemsMatrix: Settings have been saved.|r");
end


--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
